<?php

namespace App\Http\Controllers\Game;

use App\Http\Controllers\Api\ApiController;
use App\Http\Controllers\Controller;
use App\Notification\TelegramBot;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ServiceRedirectController extends Controller
{
    public function index()
    {

    }
    public function sfpHook(Request $request){
        TelegramBot::getDefault()->sendMsgWithEnv($request->all());
    }
    //用户留言
    public function userMessageAdd(Request $request)
    {
        $params = $request->all();
        if (empty($params['GameID'])) {
            return ['status' => false, 'msg' => 'As informações do usuário não foram obtidas, faça login e tente novamente'];
        }
        $insert['GameID'] = $params['GameID'];
        $insert['PID'] = 0;

        $url = $request->url() . '?message=' . $params['message'];
        $url = urldecode($url);
        $query = parse_url($url)['query'];
        $paramsArr = explode('&', $query);
        foreach ($paramsArr as $k => $v) {
            $a = explode('=', $v);
            $arr[$a[0]] = $a[1];
        }

        if (empty($arr['message']) || !isset($arr['message'])) {
            return ['status' => false, 'msg' => 'Por favor, preencha a mensagem'];
        }
        $insert['Msg'] = '24680:'.$arr['message'];
        if (mb_strlen($insert['Msg']) > 300) {
            return apiReturnFail('Os caracteres que você digitou são muito longos');
        }
        $insert['CreateAt'] = date('Y-m-d H:i:s');
        $insert['Type'] = 0;
        $result = DB::table('QPAccountsDB.dbo.Message')
            ->insert($insert);
        if ($result) {
            return ['status' => true, 'msg' => '留言成功', 'code' => 200];
        } else {
            return ['status' => false, 'msg' => '留言失败，请稍后再试', 'code' => 301];
        }

    }
    public function whatsAppRedirect()
    {
        $list=(new ApiController())->getServiceList();
        foreach ($list as $k=>$v){
            if($v->StatusName=="WhatsApp"){
                return redirect($v->StatusString);
            }
        }
    }
}
